Subject: Re: [sipcore] WGLC: draft-ietf-sipcore-sip-websocket-02

From: Roman Shpount <[email-masked]>
Date: Fri, 10 Aug 2012 17:31:42 -0400

My only concern with this draft is the "Appendix B. Topology Hiding" which
clearly states that SIP WebSocket Server would be non-compliant with
RFC3261 if it implements topology hiding which is actually recommended. I
would much rather see that this specification update RFC3261. It should
update section 18.2.1 of RFC 3261 stating that the server SHOULD not to add
"received" parameter to the via header if request was received
via WebSocket protocol and MUST not add the this parameter if via "sent-by"
header contains an address with ".invaid" domain.
_____________
Roman Shpount

---

From: Paul Kyzivat <[email-masked]>
Date: Fri, 10 Aug 2012 16:20:43 -0700

In addition to this issue, there is the one about the current 3261 
requirement to support TCP and UDP transports, which many 
implementations of this draft will have difficulty complying with.

I'd like to hear more people's thoughts on whether to have this draft 
update 3261 on either or both of these points.

	Thanks,
	Paul

On 8/10/12 2:31 PM, Roman Shpount wrote:
> My only concern with this draft is the "Appendix B. Topology Hiding"
> which clearly states that SIP WebSocket Server would be non-compliant
> with RFC3261 if it implements topology hiding which is actually
> recommended. I would much rather see that this specification update
> RFC3261. It should update section 18.2.1 of RFC 3261 stating that the
> server SHOULD not to add "received" parameter to the via header if
> request was received via WebSocket protocol and MUST not add the this
> parameter if via "sent-by" header contains an address with ".invaid" domain.
> _____________
> Roman Shpount
>
>
>
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore